#!/bin/sh

# preflight.sh
# ValhallaFreqEcho
#
# Created by Sean Costello on 12/19/2013.
# Copyright 2013 Valhalla DSP, LLC. All rights reserved.

echo "preflight..."

FreqEchoAU="/Library/Audio/Plug-Ins/Components/ValhallaFreqEcho.component"
FreqEchoVST="/Library/Audio/Plug-Ins/VST/ValhallaFreqEcho.vst"
FreqEchoRTAS="/Library/Application Support/Digidesign/Plug-Ins/ValhallaFreqEcho.dpm"
FreqEchoAAX="/Library/Application Support/Avid/Audio/Plug-Ins/ValhallaFreqEcho.aaxplugin"

if [ -e "$FreqEchoAU" ]; then
	echo Moving "$FreqEchoAU" to trash.
	cp -r "$FreqEchoAU" ~/.Trash;
	rm -rf "$FreqEchoAU"
fi

if [ -e "$FreqEchoVST" ]; then
	echo Moving "$FreqEchoVST" to trash.
	cp -r "$FreqEchoVST" ~/.Trash;
	rm -rf "$FreqEchoVST"
fi

if [ -e "$FreqEchoRTAS" ]; then
	echo Moving "$FreqEchoRTAS" to trash.
	cp -r "$FreqEchoRTAS" ~/.Trash;
	rm -rf "$FreqEchoRTAS"
fi

if [ -e "$FreqEchoAAX" ]; then
	echo Moving "$FreqEchoAAX" to trash.
	cp -r "$FreqEchoAAX" ~/.Trash;
	rm -rf "$FreqEchoAAX"
fi